Index: XIOS/dev/branch_openmp/src/node/scalar.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/node/scalar.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/node/scalar.cpp	(revision 1545)
@@ -27,7 +27,7 @@
    { /* Ne rien faire de plus */ }
 
-   //std::map<StdString, ETranformationType> CScalar::transformationMapList_ = std::map<StdString, ETranformationType>();
+
    std::map<StdString, ETranformationType> *CScalar::transformationMapList_ptr = 0;
-   //bool CScalar::dummyTransformationMapList_ = CScalar::initializeTransformationMap(CScalar::transformationMapList_);
+
    bool CScalar::initializeTransformationMap(std::map<StdString, ETranformationType>& m)
    {
@@ -175,8 +175,6 @@
 
         nodeElementName = node.getElementName();
-        //std::map<StdString, ETranformationType>::const_iterator ite = transformationMapList_.end(), it;
         if(CScalar::transformationMapList_ptr == 0) initializeTransformationMap();
         std::map<StdString, ETranformationType>::const_iterator ite = transformationMapList_ptr->end(), it;
-        //it = transformationMapList_.find(nodeElementName);
         it = transformationMapList_ptr->find(nodeElementName);
         if (ite != it)
Index: XIOS/dev/branch_openmp/src/node/transformation.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/node/transformation.hpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/node/transformation.hpp	(revision 1545)
@@ -35,5 +35,4 @@
       typedef std::map<ETranformationType, CreateTransformationCallBack> CallBackMap;
       static CallBackMap* transformationCreationCallBacks_;
-      //#pragma omp threadprivate(transformationCreationCallBacks_)
 
       static bool registerTransformation(ETranformationType transType, CreateTransformationCallBack createFn);
Index: XIOS/dev/branch_openmp/src/object_factory.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/object_factory.hpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/object_factory.hpp	(revision 1545)
@@ -2,6 +2,5 @@
 #define __XIOS_CObjectFactory__
 
-/// boost headers ///
-#include <boost/shared_ptr.hpp>
+#include <memory>
 
 /// XIOS headers ///
@@ -24,11 +23,11 @@
 
          template <typename U>
-            static  boost::shared_ptr<U> GetObject(const StdString & id);
+            static  std::shared_ptr<U> GetObject(const StdString & id);
 
          template <typename U>
-            static  boost::shared_ptr<U> GetObject(const StdString& context,const StdString & id);
+            static  std::shared_ptr<U> GetObject(const StdString& context,const StdString & id);
 
          template <typename U>
-            static  boost::shared_ptr<U> GetObject(const U * const object);
+            static  std::shared_ptr<U> GetObject(const U * const object);
 
          template <typename U>
@@ -38,7 +37,6 @@
 
          template <typename U>
-            static  const std::vector<boost::shared_ptr<U> > &
+            static  const std::vector<std::shared_ptr<U> > &
                GetObjectVector(const StdString & context);
-               //GetObjectVector(const StdString & context = CObjectFactory::GetCurrentContextId());
 
          /// Tests ///
@@ -51,5 +49,5 @@
          /// Instanciateur ///
          template <typename U>
-            static  boost::shared_ptr<U> CreateObject(const StdString & id = StdString(""));
+            static  std::shared_ptr<U> CreateObject(const StdString & id = StdString(""));
 
          template <typename U> static const StdString& GetUIdBase(void);
Index: XIOS/dev/branch_openmp/src/object_factory_decl.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/object_factory_decl.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/object_factory_decl.cpp	(revision 1545)
@@ -5,13 +5,13 @@
 {
 #define macro(U) \
-  template boost::shared_ptr<U> CObjectFactory::GetObject<U>(const StdString& id);  \
-  template boost::shared_ptr<U> CObjectFactory::GetObject<U>(const StdString& context,const StdString& id); \
-  template boost::shared_ptr<U> CObjectFactory::GetObject<U>(const U* const object); \
+  template std::shared_ptr<U> CObjectFactory::GetObject<U>(const StdString& id);  \
+  template std::shared_ptr<U> CObjectFactory::GetObject<U>(const StdString& context,const StdString& id); \
+  template std::shared_ptr<U> CObjectFactory::GetObject<U>(const U* const object); \
   template int CObjectFactory::GetObjectNum<U>(void); \
   template int CObjectFactory::GetObjectIdNum<U>(void); \
-  template const std::vector<boost::shared_ptr<U> >& CObjectFactory::GetObjectVector<U>(const StdString& context ); \
+  template const std::vector<std::shared_ptr<U> >& CObjectFactory::GetObjectVector<U>(const StdString& context ); \
   template bool CObjectFactory::HasObject<U>(const StdString& id); \
   template bool CObjectFactory::HasObject<U>(const StdString& context,const StdString& id); \
-  template boost::shared_ptr<U> CObjectFactory::CreateObject<U>(const StdString& id ); \
+  template std::shared_ptr<U> CObjectFactory::CreateObject<U>(const StdString& id ); \
   template const StdString& CObjectFactory::GetUIdBase<U>(void); \
   template StdString CObjectFactory::GenUId<U>(void); \
Index: XIOS/dev/branch_openmp/src/object_factory_impl.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/object_factory_impl.hpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/object_factory_impl.hpp	(revision 1545)
@@ -13,5 +13,4 @@
          ERROR("CObjectFactory::GetObjectNum(void)",
                << "please define current context id !");
-      //return (U::AllVectObj[CObjectFactory::CurrContext].size());
       if(U::AllVectObj_ptr == NULL) return 0;
       return (*U::AllVectObj_ptr)[*CObjectFactory::CurrContext_ptr].size();
@@ -24,5 +23,4 @@
          ERROR("CObjectFactory::GetObjectIdNum(void)",
                << "please define current context id !");
-      //return (U::AllMapObj[CObjectFactory::CurrContext].size());
       if(U::AllMapObj_ptr == NULL) return 0;
       return (*U::AllMapObj_ptr)[*CObjectFactory::CurrContext_ptr].size();
@@ -35,6 +33,4 @@
          ERROR("CObjectFactory::HasObject(const StdString & id)",
                << "[ id = " << id << " ] please define current context id !");
-      //return (U::AllMapObj[CObjectFactory::CurrContext].find(id) !=
-      //        U::AllMapObj[CObjectFactory::CurrContext].end());
       if(U::AllMapObj_ptr  == NULL)  return false;
       return ((*U::AllMapObj_ptr)[*CObjectFactory::CurrContext_ptr].find(id) !=
@@ -46,7 +42,4 @@
       bool CObjectFactory::HasObject(const StdString & context, const StdString & id)
    {
-
-      // if (U::AllMapObj.find(context) == U::AllMapObj.end()) return false ;
-      // else return (U::AllMapObj[context].find(id) !=  U::AllMapObj[context].end());
       if(U::AllMapObj_ptr  == NULL) return false;
 
@@ -56,19 +49,18 @@
 
    template <typename U>
-      boost::shared_ptr<U> CObjectFactory::GetObject(const U * const object)
+      std::shared_ptr<U> CObjectFactory::GetObject(const U * const object)
    {
-      if(U::AllVectObj_ptr == NULL) return (boost::shared_ptr<U>());
+      if(U::AllVectObj_ptr == NULL) return (std::shared_ptr<U>());
       if (CurrContext_ptr->size() == 0)
          ERROR("CObjectFactory::GetObject(const U * const object)",
                << "please define current context id !");
-      //std::vector<boost::shared_ptr<U> > & vect = U::AllVectObj[CObjectFactory::CurrContext];
-      std::vector<boost::shared_ptr<U> > & vect = (*U::AllVectObj_ptr)[*CObjectFactory::CurrContext_ptr];
+      std::vector<std::shared_ptr<U> > & vect = (*U::AllVectObj_ptr)[*CObjectFactory::CurrContext_ptr];
 
-      typename std::vector<boost::shared_ptr<U> >::const_iterator
+      typename std::vector<std::shared_ptr<U> >::const_iterator
          it = vect.begin(), end = vect.end();
 
       for (; it != end; it++)
       {
-         boost::shared_ptr<U> ptr = *it;
+         std::shared_ptr<U> ptr = *it;
          if (ptr.get() == object)
             return (ptr);
@@ -78,11 +70,11 @@
                << "[type = " << U::GetName() << ", adress = " << object << "] "
                << "object was not found.");
-      return (boost::shared_ptr<U>()); // jamais atteint
+      return (std::shared_ptr<U>()); // jamais atteint
    }
 
    template <typename U>
-      boost::shared_ptr<U> CObjectFactory::GetObject(const StdString & id)
+      std::shared_ptr<U> CObjectFactory::GetObject(const StdString & id)
    {
-      if(U::AllMapObj_ptr  == NULL) return (boost::shared_ptr<U>());
+      if(U::AllMapObj_ptr  == NULL) return (std::shared_ptr<U>());
       if (CurrContext_ptr->size() == 0)
          ERROR("CObjectFactory::GetObject(const StdString & id)",
@@ -92,19 +84,11 @@
                << "[ id = " << id << ", U = " << U::GetName() << " ] "
                << "object was not found.");
-
-      //cout<<"CObjectFactory::GetObject(const StdString & id)[ id = " << id << ", U = " << U::GetName() << " ] "<<endl;
-      if(id == "src_domain_regular_read")
-      {
-         //cout<<"match"<<endl;
-      }
-
-      //return (U::AllMapObj[CObjectFactory::CurrContext][id]);
       return (*U::AllMapObj_ptr)[*CObjectFactory::CurrContext_ptr][id];
    }
 
    template <typename U>
-      boost::shared_ptr<U> CObjectFactory::GetObject(const StdString & context, const StdString & id)
+      std::shared_ptr<U> CObjectFactory::GetObject(const StdString & context, const StdString & id)
    {
-      if(U::AllMapObj_ptr  == NULL) return (boost::shared_ptr<U>());
+      if(U::AllMapObj_ptr  == NULL) return (std::shared_ptr<U>());
 
       if (!CObjectFactory::HasObject<U>(context,id))
@@ -112,20 +96,12 @@
                << "[ id = " << id << ", U = " << U::GetName() <<", context = "<<context<< " ] "
                << "object was not found.");
-
-      //cout<<"CObjectFactory::GetObject(const StdString & context, const StdString & id)[ id = " << id << ", U = " << U::GetName() << " ] "<<endl;
-      if(id == "src_domain_regular_read")
-      {
-         //cout<<"match"<<endl;
-         boost::shared_ptr<U> value;
-      }
-      //return (U::AllMapObj[context][id]);
       return (*U::AllMapObj_ptr)[context][id];
    }
 
    template <typename U>
-   boost::shared_ptr<U> CObjectFactory::CreateObject(const StdString& id)
+   std::shared_ptr<U> CObjectFactory::CreateObject(const StdString& id)
    {
-      if(U::AllVectObj_ptr == NULL) U::AllVectObj_ptr = new xios_map<StdString, std::vector<boost::shared_ptr<U> > >;
-      if(U::AllMapObj_ptr  == NULL) U::AllMapObj_ptr  = new xios_map<StdString, xios_map<StdString, boost::shared_ptr<U> > >;
+      if(U::AllVectObj_ptr == NULL) U::AllVectObj_ptr = new xios_map<StdString, std::vector<std::shared_ptr<U> > >;
+      if(U::AllMapObj_ptr  == NULL) U::AllMapObj_ptr  = new xios_map<StdString, xios_map<StdString, std::shared_ptr<U> > >;
 
       if (CurrContext_ptr->empty())
@@ -139,12 +115,8 @@
       else
       {
-         boost::shared_ptr<U> value(new U(id.empty() ? CObjectFactory::GenUId<U>() : id));
-
-         //U::AllVectObj[CObjectFactory::CurrContext].insert(U::AllVectObj[CObjectFactory::CurrContext].end(), value);
-         //U::AllMapObj[CObjectFactory::CurrContext].insert(std::make_pair(value->getId(), value));
+         std::shared_ptr<U> value(new U(id.empty() ? CObjectFactory::GenUId<U>() : id));
 
          (*U::AllVectObj_ptr)[*CObjectFactory::CurrContext_ptr].insert((*U::AllVectObj_ptr)[*CObjectFactory::CurrContext_ptr].end(), value);
          (*U::AllMapObj_ptr) [*CObjectFactory::CurrContext_ptr].insert(std::make_pair(value->getId(), value));
-         //cout<<"CObjectFactory::CreateObject(const StdString& id) [ id = " << id << " ]" <<endl;
 
          return value;
@@ -153,8 +125,7 @@
 
    template <typename U>
-      const std::vector<boost::shared_ptr<U> > &
+      const std::vector<std::shared_ptr<U> > &
          CObjectFactory::GetObjectVector(const StdString & context)
    {
-      //return (U::AllVectObj[context]);
       return (*U::AllVectObj_ptr)[context];
    }
Index: XIOS/dev/branch_openmp/src/object_template.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/object_template.hpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/object_template.hpp	(revision 1545)
@@ -71,5 +71,5 @@
 
          /// Accesseur statique ///
-         static std::vector<boost::shared_ptr<DerivedType> > &
+         static std::vector<std::shared_ptr<DerivedType> > &
             GetAllVectobject(const StdString & contextId);
 
@@ -83,6 +83,6 @@
          static T* get(const string& contextId, const string& id) ;
          T* get(void) ;
-         boost::shared_ptr<T> getShared(void) ;
-         static boost::shared_ptr<T> getShared(const T* ptr) ;
+         std::shared_ptr<T> getShared(void) ;
+         static std::shared_ptr<T> getShared(const T* ptr) ;
 
          static T* create(const string& id=string("")) ;
@@ -108,8 +108,8 @@
          static xios_map<StdString,
                 xios_map<StdString,
-                boost::shared_ptr<DerivedType> > > *AllMapObj_ptr;
+                std::shared_ptr<DerivedType> > > *AllMapObj_ptr;
          #pragma omp threadprivate(AllMapObj_ptr)
          static xios_map<StdString,
-                std::vector<boost::shared_ptr<DerivedType> > > *AllVectObj_ptr;
+                std::vector<std::shared_ptr<DerivedType> > > *AllVectObj_ptr;
          #pragma omp threadprivate(AllVectObj_ptr)
 
Index: XIOS/dev/branch_openmp/src/object_template_impl.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/object_template_impl.hpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/object_template_impl.hpp	(revision 1545)
@@ -24,14 +24,11 @@
       xios_map<StdString,
       xios_map<StdString,
-      //boost::shared_ptr<T> > > CObjectTemplate<T>::AllMapObj;
-      boost::shared_ptr<T> > > *CObjectTemplate<T>::AllMapObj_ptr = 0;
+      std::shared_ptr<T> > > *CObjectTemplate<T>::AllMapObj_ptr = 0;
 
    template <class T>
       xios_map<StdString,
-      //std::vector<boost::shared_ptr<T> > > CObjectTemplate<T>::AllVectObj;
-      std::vector<boost::shared_ptr<T> > > *CObjectTemplate<T>::AllVectObj_ptr = 0;
-
-   template <class T>
-      //xios_map<StdString,long int> CObjectTemplate<T>::GenId;
+      std::vector<std::shared_ptr<T> > > *CObjectTemplate<T>::AllVectObj_ptr = 0;
+
+   template <class T>
       xios_map<StdString,long int> *CObjectTemplate<T>::GenId_ptr = 0;
 
@@ -66,9 +63,8 @@
 
    template <class T>
-      std::vector<boost::shared_ptr<T> > &
+      std::vector<std::shared_ptr<T> > &
          CObjectTemplate<T>::GetAllVectobject(const StdString & contextId)
    {
-      //return (CObjectTemplate<T>::AllVectObj[contextId]);
-    return (CObjectTemplate<T>::AllVectObj_ptr->at(contextId));
+     return (CObjectTemplate<T>::AllVectObj_ptr->at(contextId));
    }
 
@@ -416,5 +412,5 @@
 
    template <typename T>
-   boost::shared_ptr<T> CObjectTemplate<T>::getShared(const T* ptr)
+   std::shared_ptr<T> CObjectTemplate<T>::getShared(const T* ptr)
    {
      return CObjectFactory::GetObject<T>(ptr);
@@ -422,5 +418,5 @@
 
    template <typename T>
-   boost::shared_ptr<T> CObjectTemplate<T>::getShared(void)
+   std::shared_ptr<T> CObjectTemplate<T>::getShared(void)
    {
      return CObjectFactory::GetObject<T>((T*)this);
@@ -430,11 +426,8 @@
    const vector<T*> CObjectTemplate<T>::getAll()
    {
-     int tmp_rank;
-     MPI_Comm_rank(MPI_COMM_WORLD, &tmp_rank);
-     if(tmp_rank==7) printf("getCurrentContextid() = %s\n", CObjectFactory::GetCurrentContextId());
-     const vector< boost::shared_ptr<T> >& shared_vect= CObjectFactory::GetObjectVector<T>(CObjectFactory::GetCurrentContextId());
+     const vector< std::shared_ptr<T> >& shared_vect= CObjectFactory::GetObjectVector<T>(CObjectFactory::GetCurrentContextId());
      vector<T*> vect;
 
-     typename vector<boost::shared_ptr<T> >::const_iterator it;
+     typename vector<std::shared_ptr<T> >::const_iterator it;
      for(it=shared_vect.begin();it!=shared_vect.end();++it) vect.push_back(it->get());
      return vect;
@@ -444,8 +437,8 @@
    const vector<T*> CObjectTemplate<T>::getAll(const string & id)
    {
-     const vector< boost::shared_ptr<T> >& shared_vect= CObjectFactory::GetObjectVector<T>(id);
+     const vector< std::shared_ptr<T> >& shared_vect= CObjectFactory::GetObjectVector<T>(id);
      vector<T*> vect;
 
-     typename vector<boost::shared_ptr<T> >::const_iterator it;
+     typename vector<std::shared_ptr<T> >::const_iterator it;
      for(it=shared_vect.begin();it!=shared_vect.end();++it) vect.push_back(it->get());
      return vect;
@@ -482,5 +475,5 @@
      oss << iendl;
      oss << "#include <boost/multi_array.hpp>" << iendl;
-     oss << "#include <boost/shared_ptr.hpp>" << iendl;
+     oss << "#include <boostXXX/shared_ptr.hpp>" << iendl;
      oss << "#include \"xios.hpp\"" << iendl;
      oss << "#include \"attribute_template.hpp\"" << iendl;
Index: XIOS/dev/branch_openmp/src/parse_expr/filter_expr_node.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/parse_expr/filter_expr_node.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/parse_expr/filter_expr_node.cpp	(revision 1545)
@@ -11,7 +11,7 @@
   { /* Nothing to do */ }
 
-  boost::shared_ptr<COutputPin> CFilterFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<COutputPin> outputPin;
+  std::shared_ptr<COutputPin> CFilterFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<COutputPin> outputPin;
 
     if (fieldId == "this")
@@ -21,5 +21,5 @@
       CField* field = CField::get(fieldId);
       if (field == &thisField)
-        ERROR("boost::shared_ptr<COutputPin> CFilterFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const",
+        ERROR("std::shared_ptr<COutputPin> CFilterFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const",
               << "The field " << fieldId << " has an invalid reference to itself. "
               << "Use the keyword \"this\" if you want to reference the input data sent to this field.");
@@ -29,5 +29,5 @@
     }
     else
-      ERROR("boost::shared_ptr<COutputPin> CFilterFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const",
+      ERROR("std::shared_ptr<COutputPin> CFilterFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const",
             << "The field " << fieldId << " does not exist.");
 
@@ -39,7 +39,7 @@
   { /* Nothing to do */ }
 
-  boost::shared_ptr<COutputPin> CFilterTemporalFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<COutputPin> outputPin;
+  std::shared_ptr<COutputPin> CFilterTemporalFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<COutputPin> outputPin;
 
     if (fieldId == "this")
@@ -49,5 +49,5 @@
       CField* field = CField::get(fieldId);
       if (field == &thisField)
-        ERROR("boost::shared_ptr<COutputPin> CFilterTemporalFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const",
+        ERROR("std::shared_ptr<COutputPin> CFilterTemporalFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const",
               << "The field " << fieldId << " has an invalid reference to itself. "
               << "Use the keyword \"this\" if you want to reference the input data sent to this field.");
@@ -57,5 +57,5 @@
     }
     else
-      ERROR("boost::shared_ptr<COutputPin> CFilterTemporalFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const",
+      ERROR("std::shared_ptr<COutputPin> CFilterTemporalFieldExprNode::reduce(CGarbageCollector& gc, CField& thisField) const",
             << "The field " << fieldId << " does not exist.");
 
@@ -72,7 +72,7 @@
   }
 
-  boost::shared_ptr<COutputPin> CFilterUnaryOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<CUnaryArithmeticFilter> filter(new CUnaryArithmeticFilter(gc, opId));
+  std::shared_ptr<COutputPin> CFilterUnaryOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<CUnaryArithmeticFilter> filter(new CUnaryArithmeticFilter(gc, opId));
     child->reduce(gc, thisField)->connectOutput(filter, 0);
     return filter;
@@ -89,7 +89,7 @@
   }
 
-  boost::shared_ptr<COutputPin> CFilterScalarFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<CScalarFieldArithmeticFilter> filter(new CScalarFieldArithmeticFilter(gc, opId, child1->reduce()));
+  std::shared_ptr<COutputPin> CFilterScalarFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<CScalarFieldArithmeticFilter> filter(new CScalarFieldArithmeticFilter(gc, opId, child1->reduce()));
     child2->reduce(gc, thisField)->connectOutput(filter, 0);
     return filter;
@@ -106,7 +106,7 @@
   }
 
-  boost::shared_ptr<COutputPin> CFilterFieldScalarOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<CFieldScalarArithmeticFilter> filter(new CFieldScalarArithmeticFilter(gc, opId, child2->reduce()));
+  std::shared_ptr<COutputPin> CFilterFieldScalarOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<CFieldScalarArithmeticFilter> filter(new CFieldScalarArithmeticFilter(gc, opId, child2->reduce()));
     child1->reduce(gc, thisField)->connectOutput(filter, 0);
     return filter;
@@ -123,7 +123,7 @@
   }
 
-  boost::shared_ptr<COutputPin> CFilterFieldFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<CFieldFieldArithmeticFilter> filter(new CFieldFieldArithmeticFilter(gc, opId));
+  std::shared_ptr<COutputPin> CFilterFieldFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<CFieldFieldArithmeticFilter> filter(new CFieldFieldArithmeticFilter(gc, opId));
     child1->reduce(gc, thisField)->connectOutput(filter, 0);
     child2->reduce(gc, thisField)->connectOutput(filter, 1);
@@ -145,7 +145,7 @@
   }
 
-  boost::shared_ptr<COutputPin> CFilterScalarScalarFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<CScalarScalarFieldArithmeticFilter> filter(new CScalarScalarFieldArithmeticFilter(gc, opId, child1->reduce(),child2->reduce()));
+  std::shared_ptr<COutputPin> CFilterScalarScalarFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<CScalarScalarFieldArithmeticFilter> filter(new CScalarScalarFieldArithmeticFilter(gc, opId, child1->reduce(),child2->reduce()));
     child3->reduce(gc, thisField)->connectOutput(filter, 0);
     return filter;
@@ -164,7 +164,7 @@
   }
 
-  boost::shared_ptr<COutputPin> CFilterScalarFieldScalarOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<CScalarFieldScalarArithmeticFilter> filter(new CScalarFieldScalarArithmeticFilter(gc, opId, child1->reduce(),child3->reduce()));
+  std::shared_ptr<COutputPin> CFilterScalarFieldScalarOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<CScalarFieldScalarArithmeticFilter> filter(new CScalarFieldScalarArithmeticFilter(gc, opId, child1->reduce(),child3->reduce()));
     child2->reduce(gc, thisField)->connectOutput(filter, 0);
     return filter;
@@ -183,7 +183,7 @@
   }
 
-  boost::shared_ptr<COutputPin> CFilterScalarFieldFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<CScalarFieldFieldArithmeticFilter> filter(new CScalarFieldFieldArithmeticFilter(gc, opId, child1->reduce()));
+  std::shared_ptr<COutputPin> CFilterScalarFieldFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<CScalarFieldFieldArithmeticFilter> filter(new CScalarFieldFieldArithmeticFilter(gc, opId, child1->reduce()));
     child2->reduce(gc, thisField)->connectOutput(filter, 0);
     child3->reduce(gc, thisField)->connectOutput(filter, 1);
@@ -204,7 +204,7 @@
   }
 
-  boost::shared_ptr<COutputPin> CFilterFieldScalarScalarOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<CFieldScalarScalarArithmeticFilter> filter(new CFieldScalarScalarArithmeticFilter(gc, opId, child2->reduce(),child3->reduce()));
+  std::shared_ptr<COutputPin> CFilterFieldScalarScalarOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<CFieldScalarScalarArithmeticFilter> filter(new CFieldScalarScalarArithmeticFilter(gc, opId, child2->reduce(),child3->reduce()));
     child1->reduce(gc, thisField)->connectOutput(filter, 0);
     return filter;
@@ -224,7 +224,7 @@
   }
 
-  boost::shared_ptr<COutputPin> CFilterFieldScalarFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<CFieldScalarFieldArithmeticFilter> filter(new CFieldScalarFieldArithmeticFilter(gc, opId, child2->reduce()));
+  std::shared_ptr<COutputPin> CFilterFieldScalarFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<CFieldScalarFieldArithmeticFilter> filter(new CFieldScalarFieldArithmeticFilter(gc, opId, child2->reduce()));
     child1->reduce(gc, thisField)->connectOutput(filter, 0);
     child3->reduce(gc, thisField)->connectOutput(filter, 1);
@@ -245,7 +245,7 @@
   }
 
-  boost::shared_ptr<COutputPin> CFilterFieldFieldScalarOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<CFieldFieldScalarArithmeticFilter> filter(new CFieldFieldScalarArithmeticFilter(gc, opId, child3->reduce()));
+  std::shared_ptr<COutputPin> CFilterFieldFieldScalarOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<CFieldFieldScalarArithmeticFilter> filter(new CFieldFieldScalarArithmeticFilter(gc, opId, child3->reduce()));
     child1->reduce(gc, thisField)->connectOutput(filter, 0);
     child2->reduce(gc, thisField)->connectOutput(filter, 1);
@@ -265,7 +265,7 @@
   }
 
-  boost::shared_ptr<COutputPin> CFilterFieldFieldFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
-  {
-    boost::shared_ptr<CFieldFieldFieldArithmeticFilter> filter(new CFieldFieldFieldArithmeticFilter(gc, opId));
+  std::shared_ptr<COutputPin> CFilterFieldFieldFieldOpExprNode::reduce(CGarbageCollector& gc, CField& thisField) const
+  {
+    std::shared_ptr<CFieldFieldFieldArithmeticFilter> filter(new CFieldFieldFieldArithmeticFilter(gc, opId));
     child1->reduce(gc, thisField)->connectOutput(filter, 0);
     child2->reduce(gc, thisField)->connectOutput(filter, 1);
